package cn.hmsoft.ltc.service.iface;

import java.sql.SQLException;
import java.util.List;

import cn.hmsoft.ltc.model.QuestionType;
import javafx.collections.ObservableList;

/**
 * 题型管理接口类
 * @author Administrator
 *
 */
public interface QuestionTypeService {
	/**
	 * 添加
	 * @param user
	 */
	public void insertQuestionType(QuestionType questionType);
	
	/**
	 * 添加到对应到table对象
	 * @return
	 * @throws SQLException
	 */
	public ObservableList<QuestionType> selectQuestionTypeObs(QuestionType questionType) throws SQLException ;
	
	/**
	 *  查询题型
	 * @return
	 * @throws SQLException
	 */
	public List<QuestionType> selectQuestionType() throws SQLException ;
	
	/**
	 *  查询题型信息
	 * @return
	 * @throws SQLException
	 */
	public ObservableList<QuestionType> selectQuestionTypeObs() throws SQLException ;
	
	/**
	 * 根据ID删除题型信息
	 * @param id
	 * @return true 成功，false 失败
	 * @throws SQLException
	 */
	public boolean deleteQuestionType(int id)throws SQLException;
	
	/**
	 *  查询题型 根据ID
	 * @return
	 * @throws SQLException
	 */
	public QuestionType selectQuestionTypeById(Integer id) throws SQLException ;

}
